高捷博客

IT技术笔记博客

关于您与此网站之间的连接采用过时的加密套件进行了加密

关于您与此网站之间的连接采用过时的加密套件进行了加密问题的原因是ssl_ciphers属性配置问题,解决方法,修改如下:

ssl_protocols TLSv1 TLSv1.1 TLSv1.2;
ssl_ciphers "EECDH+AESGCM:EDH+AESGCM:AES256+EECDH:AES256+EDH";

博客支持https

更随潮流,阿里云购买了免费的数字证书,上传到服务器,配置nginx ssl,现在已支持https,并使http强制跳转https.

利用Nginx实现Varnish支持SSL访问

之前博客其实是以Varnish=>Nginx=>PHP(FPM-FCGI)来访问的,但Varnish不支持SSL,也就是说无法使用https。

所以耍点小聪明,以Nginx(443)=>Varnish(80)=>Nginx=>PHP(FPM-FCGI)来访问到博客。也就是说https走Nginx,反代回Varnish,Varnish反代后端Nginx反代PHP。

使用openssl手动创建证书

OpenSSL 是一个安全套接字层密码库,囊括主要的密码算法、常用的密钥和证书封装管理功能及SSL协议,并提供丰富的应用程序供测试或其它目的使用。

站内搜索
控制面板
您好,欢迎到访网站!
  查看权限
«   2016年12月   »
1234
567891011
12131415161718
19202122232425
262728293031
最近发表
最新评论
标签列表
文章归档
友情链接
站点信息
  • 文章总数:101
  • 页面总数:3
  • 分类总数:3
  • 标签总数:69
  • 评论总数:12
  • 浏览总数:78986

关于本站 | 给我留言 | 网站地图 | 免责申明 | 百度统计

Copyright ©2019 高捷博客 All rights reserved. Powered By Z-Blog 冀ICP备16006687号

冀公网安备 13073202000010号